org.apache.poi.hwpf.usermodel

## Class HWPFList

- java.lang.Object
- - org.apache.poi.hwpf.usermodel.HWPFList

-     public final class HWPFList
      extends java.lang.Object

  This class is used to create a list in a Word document. It is used in conjunction with `registerList` in `HWPFDocument`. In Word, lists are not ranged entities, meaning you can't actually add one to the document. Lists only act as properties for list entries. Once you register a list, you can add list entries to a document that are a part of the list. The only benefit of this that I see, is that you can add a list entry anywhere in the document and continue numbering from the previous list.
  Author:
    Ryan Ackley

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HWPFList(boolean numbered, StyleSheet styleSheet)`
    `HWPFList(StyleSheet styleSheet, ListTables listTables, int ilfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LFO` | `getLFO()`
    `LFOData` | `getLFOData()`
    `ListData` | `getListData()`
    `int` | `getLsid()`
    `int` | `getNumberFormat(char level)` An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that specifies the format of the level numbers that replace the placeholders for this level in the xst fields of the LVLs in this list.
    `java.lang.String` | `getNumberText(char level)`
    `int` | `getStartAt(char level)`
    `byte` | `getTypeOfCharFollowingTheNumber(char level)` "The type of character following the number text for the paragraph: 0 == tab, 1 == space, 2 == nothing."
    `boolean` | `isIgnoreLogicalLeftIdentation()`
    `boolean` | `isStartAtOverriden(char level)`
    `void` | `setIgnoreLogicalLeftIdentation(boolean ignoreLogicalLeftIdentation)`
    `void` | `setLevelNumberProperties(int level, CharacterProperties chp)` Sets the character properties of the list numbers.
    `void` | `setLevelParagraphProperties(int level, ParagraphProperties pap)` Sets the paragraph properties for a particular level of the list.
    `void` | `setLevelStyle(int level, int styleIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HWPFList

          public HWPFList(boolean numbered,
                          StyleSheet styleSheet)

      Parameters:
        `numbered` - true if the list should be numbered; false if it should be bulleted.
        `styleSheet` - The document's stylesheet.

    - #### HWPFList

          public HWPFList(StyleSheet styleSheet,
                          ListTables listTables,
                          int ilfo)

  - ### Method Detail

    - #### getLFO

          @Internal
          public LFO getLFO()

    - #### getLFOData

          @Internal
          public LFOData getLFOData()

    - #### getListData

          @Internal
          public ListData getListData()

    - #### getLsid

          public int getLsid()

    - #### getNumberFormat

          public int getNumberFormat(char level)

      An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that specifies the format of the level numbers that replace the placeholders for this level in the xst fields of the LVLs in this list. This value MUST not be equal to 0x08, 0x09, 0x0F, or 0x13. If this is equal to 0xFF or 0x17, this level does not have a number sequence and therefore has no number formatting. If this is equal to 0x17, the level uses bullets.

    - #### getNumberText

          public java.lang.String getNumberText(char level)

    - #### getStartAt

          public int getStartAt(char level)

    - #### getTypeOfCharFollowingTheNumber

          public byte getTypeOfCharFollowingTheNumber(char level)

      "The type of character following the number text for the paragraph: 0 == tab, 1 == space, 2 == nothing."

    - #### isIgnoreLogicalLeftIdentation

          public boolean isIgnoreLogicalLeftIdentation()

    - #### isStartAtOverriden

          public boolean isStartAtOverriden(char level)

    - #### setIgnoreLogicalLeftIdentation

          public void setIgnoreLogicalLeftIdentation(boolean ignoreLogicalLeftIdentation)

    - #### setLevelNumberProperties

          public void setLevelNumberProperties(int level,
                                               CharacterProperties chp)

      Sets the character properties of the list numbers.
      Parameters:
        `level` - the level number that the properties should apply to.
        `chp` - The character properties.

    - #### setLevelParagraphProperties

          public void setLevelParagraphProperties(int level,
                                                  ParagraphProperties pap)

      Sets the paragraph properties for a particular level of the list.
      Parameters:
        `level` - The level number.
        `pap` - The paragraph properties

    - #### setLevelStyle

          public void setLevelStyle(int level,
                                    int styleIndex)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.